Docs
API 1.39
Status
Batches

Read batch counters

GET /v1/batches/{id}: Read batch counters

GET /v1/batches/{id}
Operation idgetBatch
Key scoperead: every key
SectionBatches

#Parameters

NameInTypeRequiredDescription
idpathstringyespattern ^bat_[0-9a-hjkmnp-tv-z]{26}$

#Example request

curl -X GET "https://api.kaab.ist/v1/batches/{id}" \
  -H "Authorization: Bearer $KAAB_API_KEY"

#Responses

#200

Batch

Batch

{
  "id": "bat_01j9zqk3q7m4n5p6r7s8t9v0wx",
  "object": "batch",
  "total": 120,
  "queued": 100,
  "running": 8,
  "succeeded": 10,
  "failed": 2,
  "canceled": 0,
  "webhook_url": null,
  "job_ids_url": "/v1/batches/bat_01j9zqk3q7m4n5p6r7s8t9v0wx/jobs",
  "finished_at": null,
  "created_at": "2026-09-18T10:00:00Z"
}

#Errors

Every error answers with the error envelope; its code is one of the error codes.

StatusWhen
400request_invalid: request validation failed
401Missing or invalid API key
403The key's scope does not cover this operation
404Resource not found
429Rate limited; see Retry-After
500internal: unexpected server error

Was this page helpful?